import { Omit } from 'miniprogram-network-utils';
import { FullRequestOption, HttpResponse, wx } from './http';
/**
 * 微信请求参数 (不包含回调函数)
 */
export declare type RequestParams = Omit<wx.RequestOption, 'success' | 'fail' | 'complete'>;
/**
 * 构建请求参数
 * @param data - 完整配置参数
 */
export declare function transformRequestSendDefault<T extends {} = {}>(data: FullRequestOption<T>): RequestParams;
/**
 * 返回请求成功的响应数据data部分
 * statusCode 2xx 操作成功仅返回data数据
 * 否则抛出错误(rejected)
 * @param res - 返回结果
 * @param config - 完整配置参数
 */
export declare function transformRequestResponseOkData<T = any>(res: HttpResponse, config: FullRequestOption): T;
//# sourceMappingURL=transform.d.ts.map