"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// import { RequestData, RequestOptions } from './configuration';
var miniprogram_network_utils_1 = require("miniprogram-network-utils");
/**
 * 构建请求参数
 * @param data - 完整配置参数
 */
function transformRequestSendDefault(data) {
    var wxParam = {
        url: miniprogram_network_utils_1.buildParams(data.url, data.params, data.baseURL),
        header: data.headers
    };
    if (data.responseType === 'arraybuffer') {
        wxParam.responseType = 'arraybuffer';
    }
    else if (data.responseType === 'json') {
        wxParam.dataType = 'json';
    }
    return miniprogram_network_utils_1.getCommonOptions(wxParam, data, ['data', 'method']);
}
exports.transformRequestSendDefault = transformRequestSendDefault;
/**
 * 返回请求成功的响应数据data部分
 * statusCode 2xx 操作成功仅返回data数据
 * 否则抛出错误(rejected)
 * @param res - 返回结果
 * @param config - 完整配置参数
 */
function transformRequestResponseOkData(res, config) {
    if (res.statusCode >= 200 && res.statusCode < 300) {
        return res.data;
    }
    throw res;
}
exports.transformRequestResponseOkData = transformRequestResponseOkData;
//# sourceMappingURL=transform.js.map